POST
/affiliate_seller/202507/sample_applications/{application_id}/review
This API allows the seller to approve or reject a creator’s sample application in an open collaboration. Only applications in the PENDING status can be approved or rejected. When rejecting an application, the seller must provide a supported rejection reason.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”application_id
required
string
The unique id of sample request application ID
Query Parameters
Section titled “Query Parameters”shop_cipher
required
string
Identifies the shop. Obtain it from the Get Authorized Shops API.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
review_result
required
The review action to take on the sample application. Possible values:
- APPROVE: Approves the sample application.
- REJECT: Rejects the sample application.
string
reject_reason
The reason why a seller rejected a creator’s sample application. The possible enumerated values are:
- NOT_MATCH: The creator does not meet the seller’s collaboration requirements.
- OFFLINE: The product has been taken offline.
- OUT_OF_STOCK: The product is temporarily out of stock.
- OTHER: Any other reason not covered by the above categories. Required if the review_result is set to REJECT This field allows the seller to specify the reason for rejecting a sample application, providing clarity to the creator regarding the rejection.
string
Example
{ "review_result": "APPROVE", "reject_reason": "NOT_MATCH"}Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
Example
{ "code": 0, "data": {}, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}